

<ion-button expand="block" (click)="toggle()"
    [style]="'--background:rgba('+rgb+',.1);'+'--ripple-color: var(--ion-color-'+color+')'">
    <ion-text class="ion-text-capitalize ion-font-bold" style="margin-right: auto;" [color]="color">
        {{ value || title }}
    </ion-text>
    <ion-icon [name]="buttonIcon" [color]="color"></ion-icon>
</ion-button>

<div class="backdrop ion-fixed" *ngIf="canShow && backdrop" (click)="toggle()" style="z-index: 100;"></div>

<ng-container *ngIf="canShow">
    <div class="combobox-container" [@slideUp]>
        
        <ion-row>
            <ion-col class="ion-no-padding">
                <div style="border-bottom: 1px solid var(--ion-color-secondary)">
                    <ion-item lines="none">
                        <ion-button fill="clear" [color]="color" (click)="toggle()" style="margin-right: -2rem;">
                            <ion-icon name="chevron-down-outline" slot="icon-only"></ion-icon>
                        </ion-button>
                        <ion-text [color]="color" class="ion-m-auto">
                            <span class="ion-font-bold">{{ title }}</span>
                        </ion-text>
                    </ion-item>
                </div>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                    <ion-radio-group [value]="value || null" #radioGroup>
                        <ion-item>
                            <ion-radio slot="start" [value]="null" mode="ios"></ion-radio>
                            <ion-label color="dark">Ninguno</ion-label>
                        </ion-item>

                        <ng-template ngFor [ngForOf]="items" let-item>
                            <ion-item>
                                <ion-radio slot="start" [value]="item.title" mode="ios"></ion-radio>
                                <ion-label color="dark">{{ item.title }}</ion-label>
                                <ng-container *ngIf="item.subtitle">
                                    <ion-note color="secondary" slot="end">{{ item.subtitle }}</ion-note>
                                </ng-container>
                            </ion-item>
                        </ng-template>

                    </ion-radio-group>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <div style="border-top: 1px solid var(--ion-color-secondary)">
                    <ion-button [color]="color" expand="block" class="ion-margin-start ion-margin-end"
                        (click)="ok(radioGroup.value)">
                        <ion-text class="ion-text-capitalize ion-font-bold">
                            Listo
                        </ion-text>
                    </ion-button>
                </div>
            </ion-col>
        </ion-row>
    </div>
</ng-container>

